## ubuntu-release-upgrader 0.190.1

=== debian/changelog ===
ubuntu-release-upgrader (1:0.190.1) quantal-proposed; urgency=low

  * remove "gdm" from KeyDependencies (LP: #1067359)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 16 Oct 2012 16:26:02 +0200

ubuntu-release-upgrader (1:0.190) quantal-proposed; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - fix crash in "Invalid package information", thanks to Brian Murray

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 12 Oct 2012 18:19:23 +0200

ubuntu-release-upgrader (1:0.189) quantal-proposed; urgency=low

  * debian/ubuntu-release-upgrader-core.preinst: modify prompt to be Prompt on
    new installs of ubuntu-release-upgrader too since it is a new package in
    quantal (LP: #1065754)

 -- Brian Murray <brian@ubuntu.com>  Thu, 11 Oct 2012 16:21:11 -0700

ubuntu-release-upgrader (1:0.188) quantal; urgency=low

  * ensure that translations are loaded (LP: #1058102)
  * update translations from Launchpad

 -- Brian Murray <brian@ubuntu.com>  Tue, 09 Oct 2012 09:07:12 -0700

ubuntu-release-upgrader (1:0.187) quantal; urgency=low

  * DistUpgradeMain.py: ensure that translations are loaded (LP: #1058102)

 -- Brian Murray <brian@ubuntu.com>  Wed, 03 Oct 2012 16:22:48 -0700

ubuntu-release-upgrader (1:0.186) quantal; urgency=low

  * DistUpgradeApport.py: don't use a '/' as a key name in the apport report
    as this will cause an assertion error and prevent any attachments from
    being included (LP: #1060353)

 -- Brian Murray <brian@ubuntu.com>  Tue, 02 Oct 2012 10:57:22 -0700

ubuntu-release-upgrader (1:0.185) quantal; urgency=low

  * Pass the current locale's preferred encoding to bytes.decode(), since
    Python 2 has a silly default.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Oct 2012 17:53:26 +0100

ubuntu-release-upgrader (1:0.184.1) quantal; urgency=low

  *  lp:~mvo/ubuntu-release-upgrader/lp1052605 into lp:ubuntu-release-upgrader:
     - spinning on the dpkg lock for a short while before giving up
     - reverting cleanly if the cache open fails after a sources.list update
       but before anything got installed
     (LP: #1052605)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 02 Oct 2012 18:44:01 +0200

ubuntu-release-upgrader (1:0.184) quantal; urgency=low

  * Decode the output of apt_pkg.size_to_str() if necessary when
    substituting it into Unicode strings (LP: #1031882).
  * Ship /usr/share/keyrings/ubuntu-archive-keyring.gpg as
    utils/apt/trusted.gpg (although that's only for tests anyway), rather
    than whatever happens to be in /etc/apt/trusted.gpg on the system used
    to build the source package.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 02 Oct 2012 16:09:02 +0100

ubuntu-release-upgrader (1:0.183) quantal; urgency=low

  * debian/ubuntu-release-upgrader-core.preinst: modify
    /etc/dist-upgrader/release-upgrades to use Prompt instead of prompt
    thereby avoiding a conffile prompt (LP: #1045579)

 -- Brian Murray <brian@ubuntu.com>  Mon, 01 Oct 2012 17:28:23 -0700

ubuntu-release-upgrader (1:0.182) quantal; urgency=low

  * source_ubuntu_release_upgrader.py: Do not try to add apt-clone system
    state if it does not exist 
  * DistUpgradeApport.py: handle the case where python-apport is not installed
    (LP: #1059403)

 -- Brian Murray <brian@ubuntu.com>  Mon, 01 Oct 2012 12:56:39 -0700

ubuntu-release-upgrader (1:0.181) quantal; urgency=low

  [ Colin Watson ]
  * DistUpgrade/DistUpgradeController.py: Guard against UnboundLocalError in
    doDistUpgradeFetching.

  [ Brian Murray ]
  * ensure that apt-clone system state is included in bug reports filed by
    apport
  * DistUpgrade/DistUpgradeController.py: properly handle source entries with
    unicode comments in them (LP: #1039484)

 -- Brian Murray <brian@ubuntu.com>  Thu, 27 Sep 2012 09:31:58 -0700

ubuntu-release-upgrader (1:0.180) quantal; urgency=low

  * drop "unity-2d" from removal blacklist

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 04 Sep 2012 10:01:45 +0200

ubuntu-release-upgrader (1:0.179) quantal; urgency=low

  * include the gtkbuilder/ dir again in the tarball to fix
    GUI upgrades (LP: #1043696)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 30 Aug 2012 10:53:55 +0200

ubuntu-release-upgrader (1:0.178) quantal; urgency=low

  [ Michael Vogt ]
  * add unity_support_test as a upgrader quirk (LP: #1035261)

  [ Jonathan Riddell ]
  * Remove kdm and xsettings-kde

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 10 Aug 2012 16:54:36 +0200

ubuntu-release-upgrader (1:0.177) quantal; urgency=low

  * Apparently the buildds also have LC_ALL set to C, so the previous upload
    wasn't enough to workaround the problem. This time override both LANG
    and LC_ALL.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 08 Aug 2012 19:20:59 -0400

ubuntu-release-upgrader (1:0.176) quantal; urgency=low

  * Use LANG=C.UTF-8 to prevent a python crash when running setup.py with
    an uploader name containing utf-8 on buildds using LANG=C.

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 08 Aug 2012 18:55:01 -0400

ubuntu-release-upgrader (1:0.175) quantal; urgency=low

  * Fix removal_blacklist to blacklist "^screen$" instead of "screen".
    This fixes cases where the upgrade would fail because of a package
    containing "screen" being removed. (LP: #1029531)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 08 Aug 2012 17:57:36 -0400

ubuntu-release-upgrader (1:0.174) quantal-proposed; urgency=low

  * DistUpgrade/DistUpgradeApport.py: use a whitelist to ensure that only
    specified files are gathered when creating an apport crash report
    (LP: #1004503)

 -- Brian Murray <brian@ubuntu.com>  Wed, 25 Jul 2012 12:06:06 -0700

ubuntu-release-upgrader (1:0.173) quantal; urgency=low

  * tests/test_sources_list.py:
    - Skip mirror test if the mirror is unreachable
    - Use US mirror instead of DE mirror because the US one happens to
      be reachable inside the data center where the Jenkins automatic
      test are run.
  * DistUpgrade/build-tarball.sh:


=== debian/rules ===
#!/usr/bin/make -f

ARCH=all
DIST=$(shell lsb_release -c -s)
DEBVER=$(shell LC_ALL=C dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p' | sed s/.*://)
TARNAME=dist-upgrader_$(DEBVER)_$(ARCH).tar.gz
DH_ARGS=--with=python3
PY3REQUESTED := $(shell py3versions -r)
PY3DEFAULT := $(shell py3versions -d)
# Run setup.py with the default python3 last so that the scripts use
# #!/usr/bin/python3 and not #!/usr/bin/python3.X.
PY3 := $(filter-out $(PY3DEFAULT),$(PY3REQUESTED)) python3

%:
	dh $@ $(DH_ARGS)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf ./build ./DistUpgrade/$(DEBVER) ./DistUpgrade/mo \
		./DistUpgrade/$(DIST)  ./DistUpgrade/$(DIST).tar.gz \
		 ./DistUpgrade/ubuntu-drivers-obsolete.pkgs ./po/mo

binary-indep:
	dh $@ $(DH_ARGS)
	# now the dist-upgrader special tarball
	(cd DistUpgrade/ && \
	   ./build-tarball.sh && \
	   mkdir -p $(DEBVER)  && \
	   cp $(DIST).tar.gz ./*ReleaseAnnouncement* $(DEBVER) && \
	   tar czvf ../../$(TARNAME) \
	       $(DEBVER)/*ReleaseAnnouncement* \
               $(DEBVER)/$(DIST).tar.gz )
	dpkg-distaddfile $(TARNAME) raw-dist-upgrader -

override_dh_auto_build:
	dh_auto_build
	set -ex; for python in $(PY3); do \
		LANG=C.UTF-8 LC_ALL=C.UTF-8 $$python setup.py build; \
	done

override_dh_auto_install:
	dh_auto_install
	set -ex; for python in $(PY3); do \
		LANG=C.UTF-8 LC_ALL=C.UTF-8 $$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
	done

## ubuntu-release-upgrader 0.190.5

=== debian/changelog ===
ubuntu-release-upgrader (1:0.190.5) quantal-proposed; urgency=low

  * Resolve an encoding issue when a user responds with non-ascii test in the
    text view (LP: #1071388)

 -- Brian Murray <brian@ubuntu.com>  Wed, 12 Dec 2012 15:53:53 -0800

ubuntu-release-upgrader (1:0.190.4) quantal-proposed; urgency=low

  * Fix command line invocation of "./do-release-upgrade -d"
    LP: #1076186
  * debian/rules: setup.py is only compatible with Python 3, but the
    dh_auto_* commands don't know how to invoke Python 3 yet.  So
    disable the up-calls in override_dh_auto_{build,install} since
    they aren't needed, and provide the explicit call for
    override_dh_auto_clean.

 -- Barry Warsaw <barry@ubuntu.com>  Thu, 08 Nov 2012 15:13:39 -0500

ubuntu-release-upgrader (1:0.190.3) quantal-proposed; urgency=low

  * DistUpgrade.ui: allow the conf file dialog to be resizable and set it to a
    larger initial size.  Thanks to Michael Terry for the fix. (LP: #1065806)
  * DistUpgradeApport.py: check to see if --tags is available before trying to
    use it (LP: #1070043)

 -- Brian Murray <brian@ubuntu.com>  Tue, 23 Oct 2012 10:45:58 -0700

ubuntu-release-upgrader (1:0.190.2) quantal-proposed; urgency=low

  * fix unicode releated crash in non-english locales (LP: #1068389)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 19 Oct 2012 09:30:36 +0200

## ubuntu-release-upgrader 0.190.6

=== debian/changelog ===
ubuntu-release-upgrader (1:0.190.6) quantal-proposed; urgency=low

  * Fix a couple path joins and bugs that prevented check-new-release-gtk
    from working.  (LP: #1094777)

 -- Michael Terry <mterry@ubuntu.com>  Tue, 22 Jan 2013 10:21:27 -0500

## ubuntu-release-upgrader 20.04.41

=== data/Makefile ===

DOMAIN=ubuntu-release-upgrader
DESKTOP_IN_FILES := $(wildcard *.desktop.in)
DESKTOP_FILES := $(patsubst %.desktop.in,%.desktop,$(wildcard *.desktop.in))

all: $(DESKTOP_FILES)

%.desktop: %.desktop.in ../po/$(DOMAIN).pot
	intltool-merge -d ../po $< $@

## ubuntu-release-upgrader 0.190.7

=== debian/changelog ===
ubuntu-release-upgrader (1:0.190.7) quantal-security; urgency=low

  * No change rebuild in the -security pocket

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 21 Jun 2013 10:57:29 -0400

=== debian/control ===
Source: ubuntu-release-upgrader
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 9), 
               python3-all,
               python3-distutils-extra, 
               python3-apt (>= 0.8.5~),
               lsb-release,
               ubuntu-drivers-common (>= 1:0.2.55) [i386 amd64], 
               python3-update-manager,
               apt-clone (>= 0.2.3~ubuntu2)
Build-Depends-Indep: libxml-parser-perl, 
                     scrollkeeper, 
                     intltool
Standards-Version: 3.9.3
Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/ubuntu-release-upgrader/trunk
XS-Testsuite: autopkgtest
X-Python3-Version: >= 3.2

Package: ubuntu-release-upgrader-core
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-distupgrade (= ${source:Version})
Recommends: libpam-modules (>= 1.0.1-9ubuntu3)
Replaces: update-manager (<< 1:0.165),
          update-manager-core (<< 1:0.165)
Breaks: update-manager (<< 1:0.165),
        update-manager-core (<< 1:0.165),
        software-properties (<< 0.9.27)
Description: manage release upgrades
 This is the core of the Ubuntu Release Upgrader

Package: python3-distupgrade
Architecture: all
Section: python
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-update-manager,
         python3-apt (>= 0.8.5~),
         lsb-release
Replaces: python3-update-manager (<< 1:0.165)
Breaks: python3-update-manager (<< 1:0.165)
Description: manage release upgrades
 This is the DistUpgrade Python 3 module

Package: ubuntu-release-upgrader-gtk
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${misc:Depends},
         ubuntu-release-upgrader-core (= ${source:Version}),
         update-manager,
         python3-distupgrade (= ${source:Version}),
         python3-dbus,
         python3-gi,
         gir1.2-vte-2.90, 
         gir1.2-gtk-3.0,
Recommends: gir1.2-webkit-3.0
Description: manage release upgrades
 This is the GTK+ frontend of the Ubuntu Release Upgrader

Package: ubuntu-release-upgrader-qt
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ubuntu-release-upgrader-core (= ${source:Version}),
         python3-pykde4, 
         kdesudo,
         psmisc
Replaces: update-manager-kde (<< 1:0.165)
Breaks: update-manager-kde (<< 1:0.165)
Description: manage release upgrades
 This is the Qt frontend of the Ubuntu Release Upgrader

## ubuntu-release-upgrader 0.190.8

=== debian/changelog ===
ubuntu-release-upgrader (1:0.190.8) quantal-proposed; urgency=low

  * u-r-u-gtk: Depend on gksu so that distribution upgrades will work
    (LP: #1210649) 
  * u-r-u-gtk: Depend on gir1.2-webkit-3.0 (LP: #1215526)
  * DistUpgradeFetcher.py: Properly pass Gtk.window to error
    (LP: #1199984)

 -- Brian Murray <brian@ubuntu.com>  Thu, 22 Aug 2013 13:38:36 -0700

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,8 @@
 	dh $@ $(DH_ARGS)
 
 override_dh_auto_clean:
-	dh_auto_clean
+	#dh_auto_clean
+	python3 setup.py clean -a
 	rm -rf ./build ./DistUpgrade/$(DEBVER) ./DistUpgrade/mo \
 		./DistUpgrade/$(DIST)  ./DistUpgrade/$(DIST).tar.gz \
 		 ./DistUpgrade/ubuntu-drivers-obsolete.pkgs ./po/mo
@@ -33,13 +34,13 @@
 	dpkg-distaddfile $(TARNAME) raw-dist-upgrader -
 
 override_dh_auto_build:
-	dh_auto_build
+	#dh_auto_build
 	set -ex; for python in $(PY3); do \
 		LANG=C.UTF-8 LC_ALL=C.UTF-8 $$python setup.py build; \
 	done
 
 override_dh_auto_install:
-	dh_auto_install
+	#dh_auto_install
 	set -ex; for python in $(PY3); do \
 		LANG=C.UTF-8 LC_ALL=C.UTF-8 $$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
 	done

## ubuntu-release-upgrader 0.192.5

=== debian/changelog ===
ubuntu-release-upgrader (1:0.192.5) raring; urgency=low

  * Fix a couple path joins and bugs that prevented check-new-release-gtk
    from working.  (LP: #1094777)

 -- Michael Terry <mterry@ubuntu.com>  Tue, 22 Jan 2013 09:46:57 -0500

ubuntu-release-upgrader (1:0.192.4) raring; urgency=low

  * Ensure that partial upgrades are fully translated (LP: #1072828) thanks to
    Gabor Kelemen for the initial patch.
  * Remove code enabling apport since it is always running (LP: #1068874)
  * check-new-release-gtk: set the correct translation domain thanks to Gabor
    Kelemen for patch (LP: #1093697)
  * DistUpgradeController.py: call apport-bug with the binary package name not
    the source package name (LP: #1098001)
  * source_ubuntu-release-upgrader.py: set the crash database to Ubuntu to
    allow reporting of bugs even if the package does not seem to be official
    (LP: #1067542)

 -- Brian Murray <brian@ubuntu.com>  Fri, 11 Jan 2013 16:19:26 -0800

ubuntu-release-upgrader (1:0.192.3) raring; urgency=low

  * fix FTBFS if there are no __pycache__ dirs

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 14 Dec 2012 14:44:49 +0100

ubuntu-release-upgrader (1:0.192.2) raring; urgency=low

  [ Brian Murray ]
  * Call dpkg using the full path (LP: #1085844)

  [ Colin Watson ]
  * Remove calls to (currently) Python 2-only dh_auto_* (LP: #1089861).

  [ Michael Vogt ]
  * fix GObject->GLib deprecation warnings
  * lp:~mvo/ubuntu-release-upgrader/fix-component-ordering/:
    - ensure stable component order in sources.list for official
      components, this fixes a ADT failure

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 14 Dec 2012 13:29:38 +0100

ubuntu-release-upgrader (1:0.192.1) raring; urgency=low

  * Resolve an encoding issue when a user responds with non-ascii test in the
    text view (LP: #1071388)

 -- Brian Murray <brian@ubuntu.com>  Tue, 11 Dec 2012 16:49:29 -0800

ubuntu-release-upgrader (1:0.192) raring; urgency=low

  * do-release-upgrade:
    - Fix crasher when not using gtk (LP: #1076186)

 -- Michael Terry <mterry@ubuntu.com>  Tue, 13 Nov 2012 10:18:47 -0500

ubuntu-release-upgrader (1:0.191.2) raring; urgency=low

  * tests/test_view.py: Use "tee" as pager instead of "less", so that this
    test also works in an environment without stdout.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 09 Nov 2012 13:51:34 +0100

ubuntu-release-upgrader (1:0.191.1) raring-proposed; urgency=low

  [ Michael Vogt ]
  * update all string for quantal->raring upgrade

  [ Brian Murray ]
  * rewrite sources if using a local mirror without backports (LP: #1067393) 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 05 Nov 2012 09:44:11 +0100

ubuntu-release-upgrader (1:0.191) raring; urgency=low

  * support quantal->raring release upgrades

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 30 Oct 2012 09:33:50 +0100

## ubuntu-release-upgrader 0.192.10

=== debian/changelog ===
ubuntu-release-upgrader (1:0.192.10) raring; urgency=low

  * Add in Ubuntu.mirrors from python-apt-common for the release upgrader
    (LP: #1069745)

 -- Brian Murray <brian@ubuntu.com>  Fri, 19 Apr 2013 08:18:15 -0700

ubuntu-release-upgrader (1:0.192.9) raring; urgency=low

  [ Barry Warsaw ]
  * Fix UnboundLocalError caused by corner case in the Python 3 language
    spec. (LP: #1102593)

  [ Jonathan Riddell ]
  * Use correct argument for frontend in kubuntu-devel-release-upgrade

  [ Brian Murray ]
  * Remove cups-pdf from ForcedObsoletes in DistUpgrade.cfg (LP: #457221)

 -- Brian Murray <brian@ubuntu.com>  Thu, 18 Apr 2013 13:10:08 -0700

ubuntu-release-upgrader (1:0.192.8) raring; urgency=low

  * fallback to UTF-8 if getdefaultlocale returns None (LP: #1166346)

 -- Brian Murray <brian@ubuntu.com>  Wed, 10 Apr 2013 10:49:50 -0700

ubuntu-release-upgrader (1:0.192.7) raring; urgency=low

  * in doPostInitialUpdate return false if there is no cache (LP: #1127451)

 -- Brian Murray <brian@ubuntu.com>  Mon, 08 Apr 2013 14:23:32 -0700

ubuntu-release-upgrader (1:0.192.6) raring; urgency=low

  * No change rebuild to regenerate DevelReleaseAnnouncement.html

 -- Michael Terry <mterry@ubuntu.com>  Mon, 18 Mar 2013 13:23:37 -0400

## ubuntu-release-upgrader 0.192.13

=== debian/changelog ===
ubuntu-release-upgrader (1:0.192.13) raring-proposed; urgency=low

  * u-r-u-gtk: Depend on gksu so that distribution upgrades will work
    (LP: #1210649) 
  * u-r-u-gtk: Depend on gir1.2-webkit-3.0 (LP: #1215526)
  * DistUpgradeFetcher.py: Properly pass Gtk.window to error
    (LP: #1199984)

 -- Brian Murray <brian@ubuntu.com>  Tue, 20 Aug 2013 15:32:42 -0700

ubuntu-release-upgrader (1:0.192.12) raring-proposed; urgency=low

  * pass along devel-release switch to the dist-upgrader so that proposed
    repositories can be disabled if one is upgrading to the the development
    release (LP: #1199157) 

 -- Brian Murray <brian@ubuntu.com>  Thu, 11 Jul 2013 10:33:45 -0700

ubuntu-release-upgrader (1:0.192.11) raring-proposed; urgency=low

  [ Dustin Kirkland ]
  * debian/release-upgrade-motd: LP: #1173209
    - recheck release upgrade once-a-day, even if stamp file is
      already populated
    - this partially fixes the sticky "upgrade available" message,
      after successfully upgrading, even if the stamp is not removed
  * DistUpgrade/DistUpgradeController.py: LP: #1173209
    - remove the upgrade-available flag, on upgrade completion

 -- Brian Murray <brian@ubuntu.com>  Mon, 20 May 2013 09:58:36 -0700

=== debian/control ===
--- 
+++ 
@@ -59,7 +59,8 @@
          python3-gi,
          gir1.2-vte-2.90, 
          gir1.2-gtk-3.0,
-Recommends: gir1.2-webkit-3.0
+         gir1.2-webkit-3.0,
+         gksu
 Description: manage release upgrades
  This is the GTK+ frontend of the Ubuntu Release Upgrader

## ubuntu-release-upgrader 0.205

=== debian/changelog ===
ubuntu-release-upgrader (1:0.205) saucy; urgency=low

  * Instead of using gksu to authenticate for the distribution upgrade, use
    do-release-upgrade with pkexec (LP: #1210649)

 -- Brian Murray <brian@ubuntu.com>  Fri, 04 Oct 2013 19:17:49 -0700

ubuntu-release-upgrader (1:0.204) saucy; urgency=low

  * Call update-manager instead of raising it's UnsupportedDialog
    error. (LP: #1210643) Thanks to Dylan McCall for some help with this.
  * Replace references to 13.04 with 13.10 (LP: #1225665)

 -- Brian Murray <brian@ubuntu.com>  Tue, 17 Sep 2013 14:35:25 -0700

ubuntu-release-upgrader (1:0.203) saucy; urgency=low

  [ Brian Murray ]
  * test/test_sources_list.py: resolve test failure regarding EOL upgrades
  * DistUpgradeQuirks.py: pep8 cleanup, remove some additional unnecessary
    quirks
  * DistUpgrade/patches/: remove pycompile patch

  [ Steve Langasek ]
  * Drop all quirks for upgrades prior to the karmic->lucid upgrade; all
    releases earlier than 10.04 are entirely EOLed, and in any case users
    should not be upgrading directly from such old releases to 13.10 or
    later without going through the intermediate LTS releases, so this is
    all dead code.
  * Drop use of base-installer for detecting "recommended" kernels for the
    hardware.  So far this code was only ever used for a one-time transition
    when more specialized kernel flavors became available on i386 that were
    preferred over the -386 flavor, and in the meantime the code is causing
    wrong results on upgrade for users of UbuntuStudio, which ships a kernel
    flavor that's not known by base-installer.  LP: #1220898.

 -- Brian Murray <brian@ubuntu.com>  Thu, 12 Sep 2013 10:38:41 -0700

ubuntu-release-upgrader (1:0.202) saucy; urgency=low

  * DistUpgradeQuirks.py: when removing .crash files also remove whoopsie
    .upload and .uploaded files
  * DistUpgradeCache.py: remove unhelpful system error message from upgrade
    failure dialog (LP: #1221307)

 -- Brian Murray <brian@ubuntu.com>  Mon, 09 Sep 2013 16:37:20 -0700

ubuntu-release-upgrader (1:0.201) saucy; urgency=low

  [ Colin Watson ]
  * DistUpgrade/DistUpgradeController.py: Fix "alllowed" typo.

  [ Brian Murray ]
  * DistUpgrade/DevelReleaseAnnouncement: indicate that it is a Beta now

 -- Brian Murray <brian@ubuntu.com>  Thu, 05 Sep 2013 10:07:13 -0700

ubuntu-release-upgrader (1:0.200) saucy; urgency=low

  * DistUpgradeFetcher.py: Properly pass Gtk.window to error (LP: #1199984)
  * ubuntu-release-upgrader-gtk: depend on gir1.2-webkit-3.0 (LP: #1215526)

 -- Brian Murray <brian@ubuntu.com>  Thu, 22 Aug 2013 09:48:10 -0700

ubuntu-release-upgrader (1:0.199) saucy; urgency=low

  * Drop obsolete GObject.threads_init() calls to avoid warnings.  Bump
    python-gi dependency.
  * Update release version in DistUpgradeQuirks.py (LP: #1202826)
  * Modify demotions so that they are generated for saucy
  * Modify how no_longer_supported_nag is set and fix test failure for
    test_end_of_life.py, thanks to Michael Terry.

 -- Brian Murray <brian@ubuntu.com>  Tue, 06 Aug 2013 13:43:33 -0700

ubuntu-release-upgrader (1:0.198) saucy; urgency=low

  * Add devel_release to options so that the fix for bug 1199157 really works
    (LP: #1200135)

 -- Brian Murray <brian@ubuntu.com>  Thu, 11 Jul 2013 11:09:44 -0700

ubuntu-release-upgrader (1:0.197) saucy; urgency=low

  [ Andrew Starr-Bochicchio ]
  * Disable proposed on upgrade to a development release (LP: #1199157).

 -- Brian Murray <brian@ubuntu.com>  Tue, 09 Jul 2013 11:40:52 -0700

ubuntu-release-upgrader (1:0.196) saucy; urgency=low

  * Re-sync the local copy of invoke-rc.d with the one from sysvinit.
    Patch still applies cleanly. (LP: #1185364)

 -- Stéphane Graber <stgraber@ubuntu.com>  Wed, 29 May 2013 11:16:20 -0400

ubuntu-release-upgrader (1:0.195) saucy; urgency=low

  [ Dustin Kirkland ]
  * debian/release-upgrade-motd: LP: #1173209
    - recheck release upgrade once-a-day, even if stamp file is
      already populated
    - this partially fixes the sticky "upgrade available" message,
      after successfully upgrading, even if the stamp is not removed
  * DistUpgrade/DistUpgradeController.py: LP: #1173209
    - remove the upgrade-available flag, on upgrade completion
  * debian/ubuntu-release-upgrader-core.postinst: LP: #1173209
    - clear the upgrade-available flag, on postinst; it will automatically
      repopulate, if necessary

  [ Brian Murray ]
  * DistUpgradeCache.py: encode error message as UTF-8 (LP: #1177821)
  * DistUpgradeCache.py: double size estimate need in boot (LP: #1173468)

 -- Brian Murray <brian@ubuntu.com>  Fri, 17 May 2013 09:09:01 -0700

ubuntu-release-upgrader (1:0.194) saucy; urgency=low

  * support raring->saucy release upgrades harder

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 30 Apr 2013 11:43:32 -0600

ubuntu-release-upgrader (1:0.193) saucy; urgency=low

  * support raring->saucy release upgrades

 -- Brian Murray <brian@ubuntu.com>  Mon, 29 Apr 2013 13:36:33 -0700

=== debian/control ===
--- 
+++ 
@@ -56,11 +56,10 @@
          update-manager,
          python3-distupgrade (= ${source:Version}),
          python3-dbus,
-         python3-gi,
+         python3-gi (>= 3.8),
          gir1.2-vte-2.90, 
          gir1.2-gtk-3.0,
-         gir1.2-webkit-3.0,
-         gksu
+         gir1.2-webkit-3.0
 Description: manage release upgrades
  This is the GTK+ frontend of the Ubuntu Release Upgrader

## ubuntu-release-upgrader 0.205.6

=== debian/changelog ===
ubuntu-release-upgrader (1:0.205.6) saucy-proposed; urgency=medium

  * Properly display error messages encountered by DistUpgradeFetcherCore.
    (LP: #1310851)

 -- Brian Murray <brian@ubuntu.com>  Mon, 21 Apr 2014 16:44:54 -0700

ubuntu-release-upgrader (1:0.205.5) saucy-proposed; urgency=medium

  * debian/source_ubuntu-release-upgrader.py: create a DuplicateSignature by
    stripping out the tmpdir from the Traceback (LP: #1289580)
  * debian/control.py: depend on python-apport since DistUpgradeApport.py
    imports it and the release upgrader does not use python3 (LP: #1289604)

 -- Brian Murray <brian@ubuntu.com>  Fri, 07 Mar 2014 15:26:12 -0800

ubuntu-release-upgrader (1:0.205.4) saucy-proposed; urgency=low

  * Ensure quantal specific files (DistUpgrade.cfg and demoted.cfg) are in the
    release upgrader tarball

 -- Brian Murray <brian@ubuntu.com>  Thu, 12 Dec 2013 17:10:36 -0800

ubuntu-release-upgrader (1:0.205.3) saucy-proposed; urgency=low

  * Support release upgrades from Quantal to Saucy as Raring becomes
    End of Life before Quantal does.  (LP: #1258639)

 -- Brian Murray <brian@ubuntu.com>  Fri, 06 Dec 2013 12:51:55 -0800

ubuntu-release-upgrader (1:0.205.2) saucy-proposed; urgency=low

  * DistUpgrade/DistUpgradeCache.py: Do not initialize the cache until we know
    it is unlocked.  (LP: #1214186)

 -- Brian Murray <brian@ubuntu.com>  Fri, 25 Oct 2013 10:01:55 -0700

ubuntu-release-upgrader (1:0.205.1) saucy-proposed; urgency=low

  * Remove lubuntu-desktop PostUpgradeRemove rule as it is unnecessary
    (LP: #1241123)

 -- Brian Murray <brian@ubuntu.com>  Fri, 18 Oct 2013 15:51:23 -0700

## ubuntu-release-upgrader 0.205.7

=== debian/changelog ===
ubuntu-release-upgrader (1:0.205.7) saucy-proposed; urgency=medium

  * Fix translations (hr, id, eo, ug) of check-new-release-gtk dialog
    which cause a crash and users not to be notified of the new version.
    (LP: #1311396)

 -- Brian Murray <brian@ubuntu.com>  Wed, 23 Apr 2014 10:32:42 -0700

=== debian/control ===
--- 
+++ 
@@ -41,6 +41,7 @@
          ${misc:Depends},
          python3-update-manager,
          python3-apt (>= 0.8.5~),
+         python-apport,
          lsb-release
 Replaces: python3-update-manager (<< 1:0.165)
 Breaks: python3-update-manager (<< 1:0.165)

## ubuntu-release-upgrader 0.220.2

=== debian/changelog ===
ubuntu-release-upgrader (1:0.220.2) trusty; urgency=medium

  * DistUpgrade/DistUpgradeController.py:
    - really backup sources.list first (LP: #1276931)

 -- Brian Murray <brian@ubuntu.com>  Fri, 11 Apr 2014 15:25:07 -0700

ubuntu-release-upgrader (1:0.220.1) trusty; urgency=low

  * fix error message in motd on fresh install (LP: #1306673)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 11 Apr 2014 17:59:31 +0200

ubuntu-release-upgrader (1:0.220) trusty; urgency=low

  * DistUpgrade/DistUpgradeCache.py: 
    - add Debug::pkgDepCache::Marker into the apt.log debug output
  * data/removal_blacklist.cfg: 
    - gnome-session does not need special protection anymore
  * DistUpgrade/DistUpgradeViewText.py: 
    - do not crash on EPIPE from the pager (e.g. if the user
      closes the pager early)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 08 Apr 2014 17:39:37 +0200

ubuntu-release-upgrader (1:0.219.4) trusty; urgency=low

  * data/release-upgrades:
    - set the default upgrade prompt to "lts" instead of "normal" so that
      the LTS users will only see the automatic upgrade prompt when the
      next LTS version is ready

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 08 Apr 2014 09:12:55 +0200

ubuntu-release-upgrader (1:0.219.3) trusty; urgency=low

  * DistUpgrade/DistUpgradeView.py:
    - do not crash if a pkg is in Reinstall state (e.g. from 
      pkgApplyStatus) LP: #1294124
  * DistUpgrade/DistUpgradeViewGtk3.py:
    - disable plugins in html webkit view
  * pre-build.sh:
    - calculate demotions from saucy->trusty and precise->trusty
  * fix pylfakes issue

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 07 Apr 2014 14:07:10 +0200

ubuntu-release-upgrader (1:0.219.2) trusty; urgency=medium

  * DistUpgrade/DevelReleaseAnnouncement: Stop using "alpha" or "beta"
    in the devel release warning, and use more generic devel wording.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 28 Mar 2014 16:14:44 -0600

ubuntu-release-upgrader (1:0.219.1) trusty; urgency=medium

  * DistUpgrade/DistUpgradeApport.py: if we are running with a display set
    assume that update-notifier is running and do not launch apport thereby
    preventing it from being launched two times. (LP: #1294814)

 -- Brian Murray <brian@ubuntu.com>  Fri, 28 Mar 2014 07:43:25 -0700

ubuntu-release-upgrader (1:0.219) trusty; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: only check for PAE support on i386 or
    amd64 systems. (LP: #1294392)

 -- Brian Murray <brian@ubuntu.com>  Fri, 21 Mar 2014 14:27:34 -0700

ubuntu-release-upgrader (1:0.218) trusty; urgency=medium

  * DistUpgrade/DistUpgradeApport.py: for crashes in the release upgrader
    tarball set the package version to the one from the tarball i.e.
    DistUpgradeVersion.py.

 -- Brian Murray <brian@ubuntu.com>  Tue, 18 Mar 2014 11:14:54 -0700

ubuntu-release-upgrader (1:0.217) trusty; urgency=medium

  * debian/91-release-upgrade: if using the development release don't check
    for a new release.
  * include new version of python-apt's sourceslist.py (LP: #1278280)

 -- Brian Murray <brian@ubuntu.com>  Mon, 17 Mar 2014 16:30:41 -0700

ubuntu-release-upgrader (1:0.216.1) trusty; urgency=medium

  * debian/control: do not depend on python3-apport as this recommends apport
    which pull in a lot more packages on servers.

 -- Brian Murray <brian@ubuntu.com>  Thu, 13 Mar 2014 10:06:07 -0700

ubuntu-release-upgrader (1:0.216) trusty; urgency=medium

  * debian/control.py: depend on python3-apport since the release upgrader for
    U will be using python3 not python2.

 -- Brian Murray <brian@ubuntu.com>  Mon, 10 Mar 2014 10:01:49 -0700

ubuntu-release-upgrader (1:0.215) trusty; urgency=medium

  * do-release-upgrade: indicate that -p and -d switches are mutually
    exclusive (LP: #1071025)
  * debian/control.py: depend on python-apport since DistUpgradeApport.py
    imports it and the release upgrader does not use python3 (LP: #1289604)
  * debian/source_ubuntu-release-upgrader.py: create a DuplicateSignature by
    stripping out the tmpdir from the Traceback (LP: #1289850)

 -- Brian Murray <brian@ubuntu.com>  Fri, 07 Mar 2014 14:29:14 -0800

ubuntu-release-upgrader (1:0.214) trusty; urgency=medium

  * DistUpgrade/DistUpgradeQuirks.py: On 12.04 stop the upgrade process if the
    system does not support PAE. Thanks to Chris Bainbridge for the initial
    patch. (LP: #1160346)

 -- Brian Murray <brian@ubuntu.com>  Wed, 05 Mar 2014 12:53:48 -0800

ubuntu-release-upgrader (1:0.213) trusty; urgency=medium

  * DistUpgrade/DistUpgradeController.py: Catch exception if apport is not
    installed and fail gracefully. Thanks to Jean-Baptiste Lallement for the
    initial patch. (LP: #1285545)

 -- Brian Murray <brian@ubuntu.com>  Wed, 05 Mar 2014 10:56:40 -0800

ubuntu-release-upgrader (1:0.212) trusty; urgency=medium

  * tests/test_quirks.py: Only run fglrx tests on amd64 and i386 

 -- Brian Murray <brian@ubuntu.com>  Thu, 27 Feb 2014 15:05:32 -0800

ubuntu-release-upgrader (1:0.211) trusty; urgency=medium

  * DistUpgrade/DistUpgradeFetcherCore.py: set inheritance of file descriptors
    for python3.4 (LP: #1272387)

 -- Brian Murray <brian@ubuntu.com>  Mon, 24 Feb 2014 16:28:23 -0800

ubuntu-release-upgrader (1:0.210) trusty; urgency=low

  [ Brian Murray ]
  * data/DistUpgrade.cfg.precise: change kernel removals to 3.2.0
  * source_ubuntu-release-upgrader.py: collect dmesg info when reporting
    upgrade failures
  * Utilize new downloaded event from update-manager thereby speeding up usage
    of MetaReleaseCore.  Thanks to Anders Kaseorg for the patch.
  * Don't build depend on scrollkeeper thanks to Jeremy Bicha for the patch.

  [ Harald Sitter ]
  * data/DistUpgrade.cfg.precise: change kubuntu-desktop key dependencies to
    plasma-desktop, kubuntu-default-settings (previous ones did not exist or
    were simply bad key dependencies) LP: #1264887
    + Same for kubuntu-netbook using plasma-netbook,


## ubuntu-release-upgrader 0.220.10

=== debian/changelog ===
ubuntu-release-upgrader (1:0.220.10) trusty-security; urgency=medium

  * Properly drop permissions when opening a browser. (LP: #1174007)

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 09 Apr 2018 10:01:24 -0400

ubuntu-release-upgrader (1:0.220.9) trusty-proposed; urgency=medium

  * No change rebuild so the dist-upgrader tarball will be signed with the new
    method. (LP: #1645906)

 -- Brian Murray <brian@ubuntu.com>  Wed, 30 Nov 2016 09:53:35 -0800

ubuntu-release-upgrader (1:0.220.8) trusty-proposed; urgency=medium

  * DistUpgrade/build-tarball.sh: Copy the contents of demoted.cfg so it is
    not a broken symlink. (LP: #1498193)

 -- Brian Murray <brian@ubuntu.com>  Tue, 29 Sep 2015 12:56:26 -0700

ubuntu-release-upgrader (1:0.220.7) trusty; urgency=medium

  * DistUpgrade/DistUpgradeViewText.py:
    - flush stdout before reading user input. (LP: #1417880)

 -- Marius Gedminas <marius@gedmin.as>  Wed, 04 Feb 2015 10:49:34 -0500

ubuntu-release-upgrader (1:0.220.6) trusty-proposed; urgency=medium

  * data/removal_blacklist.cfg: make update-manager blacklist entry more
    specific so it does not match update-manager-kde. (LP: #1313165)

 -- Brian Murray <brian@ubuntu.com>  Thu, 13 Nov 2014 14:10:13 -0800

ubuntu-release-upgrader (1:0.220.5) trusty-proposed; urgency=medium

  * DistUpgrade/DistUpgradeApport.py:
    - modify Popen call to set universal_newlines=True (LP: #1357034)
    - log that dependency problems are not reported.
    - all apport versions support --tags now so just add dist-upgrade tag
    - remove redundant ErrorMessage string

 -- Brian Murray <brian@ubuntu.com>  Fri, 29 Aug 2014 13:09:31 -0700

ubuntu-release-upgrader (1:0.220.4) trusty-proposed; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - fix crash in free space check for certain locales (LP: #1172740)
    - removal of essential packages that are not in the main arch
      is ok (LP: #1307904)
    - fix str/unicode crash in certain locales when a package is
      found in the removal blacklist (LP: #1310053)
  * DistUpgrade/DistUpgradeViewGtk3.py:
   - make details dialog resize when details are expanded/collapsed 
     (LP: #1072460)
    - load webkit only when needed
  * DistUpgrade/DistUpgradeViewText.py:
    - fix py3 crash in text mode
  * DistUpgrade/DistUpgradeMain.py:
    - log python version
  * po/{eo,id,ug}.po:
    - fix translations of check-new-release-gtk which cause a crash
      (LP: #1311396)
  * data/demoted.cfg:
    - autmatic refresh of the demoted packages
  * po/*.po:
    - automatic refresh from launchpad

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 24 Apr 2014 14:57:39 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,6 @@
                python3-update-manager,
                apt-clone (>= 0.2.3~ubuntu2)
 Build-Depends-Indep: libxml-parser-perl, 
-                     scrollkeeper, 
                      intltool
 Standards-Version: 3.9.3
 Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/ubuntu-release-upgrader/trunk
@@ -39,9 +38,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${python3:Depends},
          ${misc:Depends},
-         python3-update-manager,
+         python3-update-manager (>= 1:0.196.2~),
          python3-apt (>= 0.8.5~),
-         python-apport,
          lsb-release
 Replaces: python3-update-manager (<< 1:0.165)
 Breaks: python3-update-manager (<< 1:0.165)

=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,10 @@
 	dh $@ $(DH_ARGS)
 
 override_dh_auto_clean:
-	#dh_auto_clean
-	python3 setup.py clean -a
+	set -ex; for python in $(PY3); do \
+		LANG=C.UTF-8 LC_ALL=C.UTF-8 $$python setup.py clean -a; \
+	done
+	find -name __pycache__ | xargs rm -rf
 	rm -rf ./build ./DistUpgrade/$(DEBVER) ./DistUpgrade/mo \
 		./DistUpgrade/$(DIST)  ./DistUpgrade/$(DIST).tar.gz \
 		 ./DistUpgrade/ubuntu-drivers-obsolete.pkgs ./po/mo
@@ -34,13 +36,11 @@
 	dpkg-distaddfile $(TARNAME) raw-dist-upgrader -
 
 override_dh_auto_build:
-	#dh_auto_build
 	set -ex; for python in $(PY3); do \
 		LANG=C.UTF-8 LC_ALL=C.UTF-8 $$python setup.py build; \
 	done
 
 override_dh_auto_install:
-	#dh_auto_install
 	set -ex; for python in $(PY3); do \
 		LANG=C.UTF-8 LC_ALL=C.UTF-8 $$python setup.py install --root=$(CURDIR)/debian/tmp --install-layout=deb; \
 	done

=== debian/tests/control ===
Tests: nose-tests
Depends: @, gir1.2-webkit-3.0, python3-mock, python3-nose, xvfb, python3-apport

## ubuntu-release-upgrader 0.220.11

=== debian/changelog ===
ubuntu-release-upgrader (1:0.220.11) trusty; urgency=medium

  * DistUpgradeController.py: Handle the transition of ESM during the release
    upgrade. (LP: #1824862)
  * DistUpgrade/build-tarball.sh: include ESM archive's gpg key.
  * mirrors.cfg: add in esm.ubuntu.com as an official mirror, update mirrors.

 -- Brian Murray <brian@ubuntu.com>  Wed, 01 May 2019 15:09:41 -0700

## ubuntu-release-upgrader 14.10.9

=== debian/changelog ===
ubuntu-release-upgrader (1:14.10.9) utopic; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - fix crash when one of the sources.list entries gives a network
      error (LP: #1347834)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 20 Oct 2014 10:12:27 -0400

ubuntu-release-upgrader (1:14.10.8) utopic; urgency=medium

  [ Brian Murray ]
  * data/removal_blacklist.cfg: make update-manager blacklist entry more
    specific so it does not match update-manager-kde. (LP: #1313165)

  [ Harald Sitter ]
  * DistUpgradeViewKDE mark byte strings correctly to avoid a TypeError
    on diff processing LP: #1375088

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 20 Oct 2014 12:24:43 +0200

ubuntu-release-upgrader (1:14.10.7) utopic; urgency=low

  * tests/test_dist_upgrade_fetcher_core.py:
    - fix ADT test

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Aug 2014 11:19:18 +0200

ubuntu-release-upgrader (1:14.10.6) utopic; urgency=medium

  [ Martin Pitt ]
  * check-new-release-gtk: Fix deprecated Gio.Settings constructor invocation.

  [ Brian Murray ]
  * Fix test failure with DistUpgradeFetcherCore test by switching from
    precise to trusty.
  * DistUpgrade/DistUpgradeApport.py:
    - log that dependency problems are not reported.
    - all apport versions support --tags now so just add dist-upgrade tag
    - remove redundant ErrorMessage string
    - modify Popen call to set universal_newlines=True (LP: #1357034)

 -- Brian Murray <brian@ubuntu.com>  Thu, 14 Aug 2014 15:40:19 -0700

ubuntu-release-upgrader (1:14.10.5) utopic; urgency=medium

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeController.py:
    - ensure that error variable is empty if not set (LP: #1321959)
  
  [ Michael Vogt ]
  * pep8 fixes to fix autopkgtest failure about the new E265
    error condition

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 26 Jun 2014 08:44:33 +0200

ubuntu-release-upgrader (1:14.10.4) utopic; urgency=medium

  * DistUpgrade/DistUpgradeController.py:
    - modify where the sort of foreign and obsolete lists of packages
      occurs (LP: #1322363)

 -- Brian Murray <brian@ubuntu.com>  Thu, 22 May 2014 14:46:13 -0700

ubuntu-release-upgrader (1:14.10.3) utopic; urgency=medium

  [ Brian Murray ]
  * DistUpgrade/DistUpgradeController.py:
    - sort the foreign and obsolete lists of packages for easier reading.

  [ Michael Vogt ]
  * data/release-upgrades:
    - set upgrade prompt policy to "normal"

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 16 May 2014 13:52:42 +0200

ubuntu-release-upgrader (1:14.10.2) utopic; urgency=low

  * debian/test/control:
    - add missing pep8 test dependency
  * tests/test_xorg_fix_intrepid.py:
    - remove no longer needed multiset test

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 03 May 2014 08:37:51 +0200

ubuntu-release-upgrader (1:14.10.1) utopic; urgency=low

  * po/POTFILES:in:
    - remove DistUpgradeViewGtk.py to fix FTBFS

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 02 May 2014 16:35:34 +0200

ubuntu-release-upgrader (1:14.10.0) utopic; urgency=low

  * data/DistUpgrade.cfg:
    - updated for trusty->utopic
    - updated kernel remove version
    - add ubuntu-gnome-desktop meta package
    - remove no longer needed configuration entries
    - remove gtk2/py2 DistUpgradeViewGtk view
  * data/gtkbuilder/DistUpgrade.ui:
    - update 14.04 -> 14.10
  * data/removal_blacklist.cfg:
    - add ubuntu-gnome-desktop
  * DistUpgrade/{Devel,EOF,}ReleaseAccounement, DistUpgrade/window_main.ui:
    - updated for utopic
  * DistUpgrade/dist-upgrade.py:
    - move from py2 to py3
  * pre-build.sh:
    - update demotions
    - use py3 version of apt_btrfs_snapshot.py
  * tests/Makefile:
    - removed, not used anymore
  * DistUpgrade/DistUpgradeCache.py:
    - remove py2ism
  * tests/test_pep8.py:
    - enable for a subset of the code and fix a bunch of pep8 issues
  * DistUpgrade/DistUpgradeQuirks.py:
    - cleanup no longer needed quirks, pep8 clean
  * DistUpgrade/DistUpgradeViewGtk.py:
    - removed old gtk2 version, we have DistUpgradeViewGtk3.py and
      the gtk2 version will not work with py3
  * DistUpgrade/apt-autoinst-fixup.py:
    - removed, no longer used
  * DistUpgrade/*.py:
    - remove from future as we are on py3 now
  * DistUpgrade/DistUpgradeAufs.py, DistUpgrade/DistUpgradeConfigParser.py,
    DistUpgrade/DistUpgradeFetcherSelf.py:
    - add missing header
  * po/*.po:
    - automatic launchpad translation update
  * lp:~mvo/ubuntu-release-upgrader/partial-upgrade-cleanup:
    - fix crash when the DistUpgradeViewText is used with py3
    - fixes a bug with the logging setup (LP: #1302380) 
      Thanks to Brian Murray for the fix!
    - fixes a crash when do-partial-upgrade is used without a DISPLAY
  * lp:~mvo/ubuntu-release-upgrader/text-install-progress:
    - show basic text install progress during the upgrade

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 02 May 2014 15:54:18 +0200

ubuntu-release-upgrader (1:0.220.3) trusty-proposed; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - fix crash in free space check for certain locales (LP: #1172740)
    - removal of essential packages that are not in the main arch
      is ok (LP: #1307904)
    - fix str/unicode crash in certain locales when a package is
      found in the removal blacklist (LP: #1310053)
  * DistUpgrade/DistUpgradeViewGtk3.py:
   - make details dialog resize when details are expanded/collapsed 
     (LP: #1072460)
    - load webkit only when needed
  * DistUpgrade/DistUpgradeView.py:
    - if no encoding is found, use C.UTF-8 to ensure that e.g. python-apt
      can read sources.list (LP: #1309447)
  * DistUpgrade/DistUpgradeViewText.py:
    - fix py3 crash in text mode
  * DistUpgrade/DistUpgradeMain.py:
    - log python version
  * po/{eo,id,ug}.po:
    - fix translations of check-new-release-gtk which cause a crash
      (LP: #1311396)
  * data/demoted.cfg:
    - autmatic refresh of the demoted packages
  * po/*.po:


## ubuntu-release-upgrader 14.10.10

=== debian/changelog ===
ubuntu-release-upgrader (1:14.10.10) utopic; urgency=medium

  * DistUpgrade/DistUpgradeViewText.py:
    - flush stdout before reading user input. (LP: #1417880)

 -- Marius Gedminas <marius@gedmin.as>  Wed, 04 Feb 2015 10:29:39 -0500
